source: branches/irods-mockup/updateVersion.sh @ 216

Revision 216, 682 bytes checked in by bartek, 9 years ago (diff)

Error when Java other than Oracle is used replaced by the Warning Message

Line 
1#!/bin/bash
2
3if [[ $# -ne 2 ]]
4then
5        echo "Wrong number of parameters"
6fi
7
8sed -i s/define\ PRODUCT_VERSION\.*/define\ PRODUCT_VERSION\ \"$1\"/g installer.nsi
9sed -i s/PRODUCT_VERSION=\.*/PRODUCT_VERSION=\"$1\"/g makeLinuxDist.sh
10
11sed -i -e "s|<txtFileVersion>.*</txtFileVersion>|<txtFileVersion>$1</txtFileVersion>|g" \
12    -e "s|<txtProductVersion>.*</txtProductVersion>|<txtProductVersion>$1</txtProductVersion>|g" \
13    -e "s|<fileVersion>.*</fileVersion>|<fileVersion>$2</fileVersion>|g" \
14    -e "s|<productVersion>.*</productVersion>|<productVersion>$2</productVersion>|g" launch4j_qcg-icon.xml
15
16sed -i "s/VERSION = .*/VERSION = \"$1\";/g"  src/org/qcg/icon/AboutDialog.java
Note: See TracBrowser for help on using the repository browser.